<?php if (!empty($items)): ?>
<table class="table hover-rows">
	<thead>
	<tr>
		<th>Data Od</th>
		<th>Data Do</th>
		<th>Nazwa</th>
		<th class="text-right no-sortable"></th>
	</tr>
	</thead>
	<tbody>
	<?php foreach ($items as $k => $szablon):

		$dataOd = date('Y-m-d', strtotime($szablon['bDataOd']));
		$dataDo = date('Y-m-d', strtotime($szablon['bDataDo']));

		?>
	<tr data-status="">
		<td><span class="span-date"><?php echo $dataOd !== '1970-01-01' ? $dataOd : 'brak'; ?></span></td>
		<td><span class="span-date"><?php echo $dataDo !== '1970-01-01' ? $dataDo : 'brak'; ?></span></td>
		<td><?php echo $szablon['bNazwa']; ?></td>
		<td class="text-right table-actions">
			<?php if (isset($szablon['CzyMoznaGenerowac']) && $szablon['CzyMoznaGenerowac'] == 'true') : ?>
			<a rel="tooltip" data-placement="left" title="Generuj oceny" class="btn btn-success generuj_oceny" href="#" data-gid="<?php echo $szablon['bGid']; ?>">
				<i class="fa fa-bolt"></i>
			</a>
			<?php endif; ?>
			<?php if (isset($szablon['CzyMoznaWycofac']) && $szablon['CzyMoznaWycofac'] == 'true') : ?>
			<a data-menu-action="/szablon/wycofaj_szablon/<?php echo $szablon['bGid']; ?>" rel="tooltip" data-placement="left" title="Wycofaj szablon" class="btn btn-warning" href="wycofaj_szablon/<?php echo $szablon['bGid']; ?>">
				<i class="fa fa-exchange"></i>
			</a>
			<?php endif; ?>
			<?php if (isset($szablon['bCzyMoznaEdytowac']) && $szablon['bCzyMoznaEdytowac'] == 'true') : ?>
			<a data-menu-action="/szablon/edytuj_szablon_oceny/<?php echo $szablon['bGid']; ?>" rel="tooltip" data-placement="left" title="Edytuj szablon" class="btn btn-primary" href="edytuj_szablon_oceny/<?php echo $szablon['bGid']; ?>">
				<i class="fa fa-pencil"></i>
			</a>
			<?php endif; ?>
			<?php if (isset($szablon['bCzyMoznaUsunac']) && $szablon['bCzyMoznaUsunac'] == 'true') : ?>
			<a rel="tooltip" data-placement="left" title="Usuń szablon" class="btn btn-danger template_remove" data-gid="<?php echo $szablon['bGid']; ?>">
				<i class="fa fa-remove"></i>
			</a>
			<?php endif; ?>
		</td>
	</tr>
	<?php endforeach; ?>
	</tbody>
</table>
<?php else: ?>
	<div class="no-data"><p>Brak danych</p></div>
<?php endif; ?>

<?php echo $this->element('alert_close'); ?>

<script>
    $(document).ready(function () {

        $('#btn_dodaj_szablon_oceny').show();

        $('.template_remove').on('click', function () {
            if (confirm('Czy na pewno chcesz usunąć?')) {
                var gid = $(this).data('gid');

                $.ajax({
                    method: 'POST',
                    url: local_url + 'szablon/usun_szablon_oceny/' + gid
                }).done(function (response) {
                    console.log(response);
                    if(trim(response) == 'login') window.location = local_url + 'login';

                    $('[data-action="daj_szablony_oceny"][data-active="1"]').click();
                });
            }
        });

        $('.generuj_oceny').on('click', function () {

            var gid = $(this).data('gid');
            var divPracownicy = $('#ocena_pracownika_pracownicy');
            var modalGeneruj = $('#generuj-ocena-modal');
            modalGeneruj.modal('show');

            $('#bGenerujOcenyGid').attr('value', gid);
            $('#bGenerujOcenyNazwa').attr('value', null)
            $('#bGenerujOcenyDataOd').attr('value', null);
            $('#bGenerujOcenyDataDo').attr('value', null);

            $.ajax({
                url: '<?php echo $local_url ?>szablon/daj_liste_pracownikow',
                type: 'POST',
            	data: {},
            	dataType: 'HTML',
                async: true,
                success: function (response) {
                	divPracownicy.html(response);

                    $(document).find('#ALL').on('ifToggled', function () {
                        var is_checked = $(this).is(':checked');
                        $(document).find('#workers-list .checkboxes-right:not(.check-all):visible').each(function () {
                            if(is_checked) {
                                $(this).find('input[type="checkbox"]').iCheck('check');
                            } else {
                                $(this).find('input[type="checkbox"]').iCheck('uncheck');
                            }
                        });
                    });

                    workersFiltering();
            	},
                error: function (err) {
                    if(err.status == 403) {
                        window.location = '<?php echo $local_url ?>login';
                    }
                }
            });

        });
    });

    function workersFiltering() {
        $.expr[":"].contains = $.expr.createPseudo(function (arg) {
            return function (elem) {
                return $(elem).text().toUpperCase().indexOf(arg.toUpperCase()) >= 0;
            };
        });
        $('#workers-filter').keyup(function () {
            var filter = $(this).val();
            console.log(filter);
            if (filter.length > 0) {
                $('#workers-list > div').hide();
                $('#workers-list > div:contains(Wszystkie)').show();
                $('#workers-list > div:contains(' + filter + ')').show();
            } else {
                $('#workers-list > div').show();
            }
        });
    }
</script>
